clear
close all
load('BSA_with_HA.mat', 'data');%data.X must be (sample x emission x excitation)
showSamples(data); %Display the data
%% Step 1: Data decompose
[ A,B,C,ref1 ] = multiPF( data.X,'minFactor',13 );

%% 
% Step 1 might be time consuming, BSA_with_HA_15Factors.mat saved previous results 
% if you do not want to wait step 1, run this section.
load('BSA_with_HA_15Factors.mat', 'A', 'B', 'C');

%% Step 2: Components formation
[ loads,ref2 ] = factorsClassify( A,B,C );

for i=1:length(loads)
    [ series(:,i),EEM(i,:,:) ] = loadDecompose( loads{i} );
end
result.X=EEM;
result.Ex=data.Ex;
result.Em=data.Em;
figure;
plot(series);
showSamples(result);
