function [ f ] = showSamples( data,cType )
%SHOW3DDATA Summary of this function goes here
%   Detailed explanation goes here
f=figure;
fun=@contourf;
if nargin<2
    cType=0;
end
if cType==-1
    cType=max(max(max(data.X)));
end
drawModelEEMs(1,data.X,fun,cType,data.Em,data.Ex);
num=size(data.X,1);
uicontrol('units','normalized','Style','slider','pos',[0 0 1 .05],...
    'min',1,'max',num,'value',1,...
    'sliderstep',[1/num,1/num],...
    'callback',@(obj,x,event)drawModelEEMs(round(get(obj,'value')),data.X,fun,cType,data.Em,data.Ex));
end

function drawModelEEMs(i,data,fun,cType,em,ex)
temp(:,:)=data(i,:,:);
temp=rot90(temp);

if cType==0
    fun(em,ex,temp);
else
    try
        fun(em,ex,temp,'clim',[0,cType]);
    catch
        try
            v=0:cType/20:cType;
            fun(em,ex,temp,v);
        catch
            fun(em,ex,temp);
        end
    end
end
title(['Sample ',num2str(i)]);

end

